Workspace Members
curl --request GET \
--url https://almanac-backend-83vc.onrender.com/v1/workspaces/{workspace_id}/members \
--header 'Authorization: Bearer <token>'import requests
url = "https://almanac-backend-83vc.onrender.com/v1/workspaces/{workspace_id}/members"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://almanac-backend-83vc.onrender.com/v1/workspaces/{workspace_id}/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"seats": {
"active": 123,
"used": 123,
"blocked": false,
"granted": 123,
"overage_allowed": false,
"pending": 0,
"unlimited": false
},
"viewer": {
"role": "<string>",
"workspace_id": "<string>",
"can_manage_billing": false,
"can_manage_developers": false,
"can_manage_enterprise": false,
"can_manage_members": false
},
"workspace_id": "<string>",
"invitations": [
{
"email": "<string>",
"invitation_id": "<string>",
"role": "<string>",
"created_at": "<string>",
"expires_at": "<string>",
"state": "pending"
}
],
"members": [
{
"display_name": "<string>",
"email": "<string>",
"membership_id": "<string>",
"role": "<string>",
"user_id": "<string>",
"avatar_url": "",
"status": "active"
}
],
"roles": [
{
"name": "<string>",
"slug": "<string>",
"description": ""
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}API Reference
Workspace Members
GET
/
v1
/
workspaces
/
{workspace_id}
/
members
Workspace Members
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I